CAPGET(2)

NAME
capget, capset - set/get process capabilities

SYNOPSIS
#undef _POSIX_SOURCE
#include <sys/capability.h>

int capget(cap_user_header_t header, cap_user_data_t data);

int capset(cap_user_header_t header, const cap_user_data_t data);

DESCRIPTION
These two functions are the raw kernel interface for getting and setting capabilities. The kernel API is likely to change and use of these functions (in particular the format of the cap_user_*_t types) is subject to change with each kernel revision.

These system calls are specific to Linux. The portable interfaces are cap_set_proc(3) and cap_get_proc(3).

RETURN VALUE
On success, zero is returned. On error, -1 is returned, and errno is set appropriately.

ERRORS

EINVAL
    One of the arguments was invalid.

EPERM
    An attempt was made to add a capability to the Permitted set, or to set a capability in the Effective or Inheritable sets that is not in the Permitted set.